summaryrefslogtreecommitdiff
path: root/Tools/qt/patches/openwebrtc-no-gtk-doc.patch
blob: fb665e7d2ed98d2ba2285818dc8537c68141f35f (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
diff --git a/autogen.sh b/autogen.sh
index 2c45ea9..878cf05 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,27 +6,42 @@
 srcdir=`dirname $0`
 (test -d $srcdir/m4) || mkdir $srcdir/m4
 
-pushd $srcdir > /dev/null
-gtkdocize && \
-autoreconf --verbose --force --install --make || {
- echo 'autogen.sh failed';
- exit 1;
-}
-
-popd > /dev/null
-
-while test "x$@" != "x" ; do
-optarg=`expr "x$@" : 'x[^=]*=\(.*\)'`
-case "$@" in
+for ag_option in $@
+do
+case $ag_option in
   --noconfigure)
       NOCONFIGURE=defined
   AUTOGEN_EXT_OPT="$AUTOGEN_EXT_OPT --noconfigure"
       echo "+ configure run disabled"
-      shift
+      ;;
+  --disable-gtk-doc)
+      enable_gtk_doc=no
+      echo "+ gtk-doc disabled"
       ;;
 esac
 done
 
+pushd $srcdir > /dev/null
+
+if test x$enable_gtk_doc = xno; then
+    if test -f gtk-doc.make; then :; else
+       echo "EXTRA_DIST = missing-gtk-doc" > gtk-doc.make
+    fi
+    echo "WARNING: You have disabled gtk-doc."
+    echo "         As a result, you will not be able to generate the API"
+    echo "         documentation and 'make dist' will not work."
+    echo
+else
+    gtkdocize || exit $?
+fi
+
+autoreconf --verbose --force --install --make || {
+ echo 'autogen.sh failed';
+ exit 1;
+}
+
+popd > /dev/null
+
 for arg do CONFIGURE_EXT_OPT="$CONFIGURE_EXT_OPT $arg"; done
 if test ! -z "$CONFIGURE_EXT_OPT"
 then